http://amplify.{region}.amazonaws.com/apps/{appId}/branches/{branchName}/deployments/startStarts a deployment for a manually deployed app. Manually deployed apps are not connected to a repository.
The unique ID for an Amplify app.
The name for the branch, for the job.
The job ID for this deployment, generated by the create deployment request.
The source URL for this deployment, used when calling start deployment without create deployment. The source URL can be any HTTP GET URL that is publicly accessible and downloads a single .zip file.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://amplify.{region}.amazonaws.com/apps/{appId}/branches/{branchName}/deployments/start' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://amplify.{region}.amazonaws.com/apps/{appId}/branches/{branchName}/deployments/startStarts a deployment for a manually deployed app. Manually deployed apps are not connected to a repository.
The unique ID for an Amplify app.
The name for the branch, for the job.
The job ID for this deployment, generated by the create deployment request.
The source URL for this deployment, used when calling start deployment without create deployment. The source URL can be any HTTP GET URL that is publicly accessible and downloads a single .zip file.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://amplify.{region}.amazonaws.com/apps/{appId}/branches/{branchName}/deployments/start' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}